hw/arm/sbsa-ref: Remove unnecessary check for secure_sysmem == NULL
[qemu/ar7.git] / tests / qemu-iotests / 239
blobb0991ffe59470b4b8def7cfae9e9cc3545d78cf0
1 #!/usr/bin/env bash
3 # Test case for dmg
5 # Copyright (C) 2019 yuchenlin <npes87184@gmail.com>
7 # This program is free software; you can redistribute it and/or modify
8 # it under the terms of the GNU General Public License as published by
9 # the Free Software Foundation; either version 2 of the License, or
10 # (at your option) any later version.
12 # This program is distributed in the hope that it will be useful,
13 # but WITHOUT ANY WARRANTY; without even the implied warranty of
14 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
15 # GNU General Public License for more details.
17 # You should have received a copy of the GNU General Public License
18 # along with this program. If not, see <http://www.gnu.org/licenses/>.
21 # creator
22 owner=npes87184@gmail.com
24 seq=`basename $0`
25 echo "QA output created by $seq"
27 status=1 # failure is the default!
29 _cleanup()
31 rm -f "$TEST_IMG.raw"
32 _cleanup_test_img
34 trap "_cleanup; exit \$status" 0 1 2 3 15
36 # get standard environment, filters and checks
37 . ./common.rc
39 _supported_fmt dmg
40 _supported_proto file
41 _supported_os Linux
43 echo
44 echo "== Testing conversion to raw should success =="
45 _use_sample_img simple-dmg.dmg.bz2
46 if ! $QEMU_IMG convert -f $IMGFMT -O raw "$TEST_IMG" "$TEST_IMG.raw" ; then
47 exit 1
50 # success, all done
51 echo "*** done"
52 rm -f $seq.full
53 status=0